pcl::poisson::BSplineElementCoefficients< Degree > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/bspline_data.h>`

## Public Member Functions

| BSplineElementCoefficients (void)
int & | operator[] (int idx)
const int & | operator[] (int idx) const

## Public Attributes

int | coeffs [Degree+1]

## Detailed Description

### template<int Degree>
struct pcl::poisson::BSplineElementCoefficients< Degree >

Definition at line 100 of file bspline_data.h.

## Constructor & Destructor Documentation

## BSplineElementCoefficients()

template<int Degree>

pcl::poisson::BSplineElementCoefficients< Degree >::BSplineElementCoefficients | ( | void |  | ) |

inline

Definition at line 103 of file bspline_data.h.

References pcl::poisson::BSplineElementCoefficients< Degree >::coeffs.

## Member Function Documentation

## operator[]() [1/2]

template<int Degree>

int& pcl::poisson::BSplineElementCoefficients< Degree >::operator[] | ( | int | idx | ) |

inline

Definition at line 104 of file bspline_data.h.

References pcl::poisson::BSplineElementCoefficients< Degree >::coeffs.

## operator[]() [2/2]

template<int Degree>

const int& pcl::poisson::BSplineElementCoefficients< Degree >::operator[] | ( | int | idx | ) | const

inline

Definition at line 105 of file bspline_data.h.

References pcl::poisson::BSplineElementCoefficients< Degree >::coeffs.

## Member Data Documentation

## coeffs

template<int Degree>

int pcl::poisson::BSplineElementCoefficients< Degree >::coeffs[Degree+1]

Definition at line 102 of file bspline_data.h.

Referenced by pcl::poisson::BSplineElementCoefficients< Degree >::BSplineElementCoefficients(), and pcl::poisson::BSplineElementCoefficients< Degree >::operator[]().

The documentation for this struct was generated from the following file:

- pcl/surface/3rdparty/poisson4/bspline_data.h